# $Revision: 1.43 $, $Date: 2006/09/09 01:37:07 $
Summary:	Display new system news at login
Summary(pl):	Wywietla nowinki systemowe tu po zalogowaniu si
Name:		sysnews
Version:	0.9
Release:	8
License:	GPL
Group:		Applications/System
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/admin/login/news-%{version}.tgz
# Source0-md5:	ecce2ac4499d87e1e34bc5178066fdbd
Patch0:		%{name}-pld.patch
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	sh-utils
Provides:	group(sysnews)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The news command keeps you informed of news concerning the system.
Each news item is contained in a separate file in the /var/lib/sysnews
directory. Anyone having write permission to this directory can create
a news file.

%description -l pl
Komenda news informuje Ci o nowociach dotyczcych systemu. Kada
wiadomo znajduje si w osobnym pliku w katalogu /var/lib/sysnews.
Wszyscy uytkownicy majcy prawo pisania do tego katalogu bd mogli
zostawi nowink.

%prep
%setup -q -c
%patch0 -p1

%build
%{__make} CFLAGS="-Wall %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{var/lib/sysnews,etc/profile.d,etc/cron.daily,%{_bindir},%{_mandir}/man1}

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

cat <<'EOF' >$RPM_BUILD_ROOT/etc/profile.d/news.sh
if [ -t ]; then
	if [ ! -f $HOME/.news_time ]; then
	cat <<-NEWUSER

Tip:		Use "news" command to view system news when
		available. See "man news" for more details.

NEWUSER
	fi
	news -l
fi
EOF
cat <<'EOF' >$RPM_BUILD_ROOT/etc/profile.d/news.csh
%{_bindir}/tty -s >& /dev/null
if ( ! $status ) then
	if (! -f ~/.news_time ) then
		cat <<NEWUSER

Tip:		Use "news" command to view system news when
		available. See "man news" for more details.

NEWUSER
	endif
	news -l
endif
EOF

cat <<'EOF' >$RPM_BUILD_ROOT/etc/cron.daily/sysnews
#!/bin/sh
#
# expire sysnews messages
#
PATH="/bin:%{_bindir}:/sbin:%{_sbindir}"
FS=""
export PATH FS

news -e 45 -x NEWUSERS,POLICY
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 102 sysnews

%postun
if [ "$1" = "0" ]; then
	%groupremove sysnews
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/news
%{_mandir}/man1/*
%attr(755,root,root) /etc/profile.d/*
%attr(700,root,root) /etc/cron.daily/sysnews
%attr(775,root,sysnews) %dir /var/lib/sysnews

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysnews.spec,v $
Revision 1.43  2006/09/09 01:37:07  glen
- rel 8 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.42  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.41  2006/04/14 16:22:50  glen
- rel 7, cosmetics

Revision 1.40  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.39  2004/10/31 15:32:13  paladine
- spaces->tabs

Revision 1.38  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.37  2004/09/15 21:02:40  ankry
- %groupremove support
- some standardization

Revision 1.36  2004/03/14 02:18:54  undefine
- use orginal source0 sources - there is no differense, only repack
- more scripts to add/del groups with fixed gid
- release 6

Revision 1.35  2003/05/28 13:02:09  malekith
- massive attack: source-md5

Revision 1.34  2003/05/25 06:27:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2002/12/07 23:49:28  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.32  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.31  2002/09/06 16:17:09  undefine
- new %doc

Revision 1.30  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.29  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/01/18 02:15:08  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/10/03 09:16:30  qboosh
- noted Source0 URL

Revision 1.26  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/02 21:51:29  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.23  2000/12/09 14:13:37  undefine
- /var/sysnews -> /var/lib/sysnews
- special group for sysnews
- removed pager for newws in /etc/profile.d/
- revision++

Revision 1.22  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.21  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.20  2000/05/04 03:18:29  kloczek
- cosmetics.

Revision 1.19  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.18  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.16  2000/02/22 10:33:16  kloczek
- spec adapterized.

Revision 1.15  2000/02/21 10:41:42  misiek
- release ++
- use /var/state/news for db

Revision 1.14  1999/07/14 14:02:10  baggins
- FHS 2.0
- cleanup

Revision 1.13  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
